# Get Action Plan TOE ID source: https://developer.mastercard.com/riskrecon-api/documentation/testing/actionplan-samples/actpln-toe-smpl/index.md Allows you to retrieve both automated and manual action plan configurations for a given TOE (Target of Evaluation). ## Pre-requisites {#pre-requisites} Refer to the [Retrieve Action Plan](https://developer.mastercard.com/riskrecon-api/documentation/use-cases/risk-mgmt-issue-rmdfn/actionplan/actpln-toe/index.md) use case. ## Request URL for Sandbox environment {#request-url-for-sandbox-environment} ```bash GET https://api.sandbox.riskrecon.com/v1/action_plan/{toe_id} ``` ## Request URL for Production environment {#request-url-for-production-environment} ```bash GET https://api.riskrecon.com/v1/action_plan/{toe_id} ``` ## Test Cases {#test-cases} ### Test Case: Success - Get action plan for TOE {#test-case-success---get-action-plan-for-toe} **Request** Here is an example of a request made using a `curl` command. ```bash curl -X 'GET' \ 'https://api.sandbox.riskrecon.com/v1/action_plan/30c9a286-2d9c-4c57-828d-9b503a14cf39' \ -H 'accept: application/json' -H 'Authorization: Bearer valid_JWT_token' ``` **Response** get: ```json [ { "automatic_action_plan_config": { "recipients": [ { "email": "john.doe@external.com", "first_name": "John", "internal": false, "last_name": "Doe" }, { "email": "john.woo@internal.com", "first_name": "John", "internal": true, "last_name": "Woo" } ] }, "manual_action_plan_config": { "recipients": [ { "email": "john.flank@external.com", "first_name": "John", "internal": false, "last_name": "Flank" } ] } } ] ``` ### Test Case: Fail - Invalid JSON Web Token {#test-case-fail---invalid-json-web-token} **Request** Here is an example of a request made with an incorrect JSON Web Token using a `curl` command. ```bash curl -X 'GET' \ 'https://api.sandbox.riskrecon.com/v1/action_plan/30c9a286-2d9c-4c57-828d-9b503a14cf39' \ -H 'accept: application/json' \ -H 'Authorization: Bearer invalid_JWT_token' ``` **Response** HTTP Error Response 401 ```json { "Errors": { "Error": [ { "Description": "Unauthorized request", "Details": "Invalid JWT", "ReasonCode": "UNAUTHORIZED", "Recoverable": false, "Source": "RISKRECON_API" } ] } } ```